function [wvtran]=D_wav_anal_2dP(x,Par,DeTr)
%2D discrete spline wavelet analysis of the square array `x`
%Par-- spline order
%DeTr --depth of decomposition
[N ~]=size(x);
wvtran=x;

M=N;

for kk=1:DeTr
    m=1:M;
 xx=wvtran(m,m);   
 wv=D_wav_analP(xx,Par,1); 
 wv=D_wav_analP(wv',Par,1)'; 
 wvtran(m,m)=wv;
  M=M/2;
end


 